FieldComparator.NumericComparator (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.FieldComparator.NumericComparator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class FieldComparator.NumericComparator<T extends Number>

    java.lang.Object
      org.apache.lucene.search.FieldComparator<T>
          org.apache.lucene.search.FieldComparator.NumericComparator<T>

Direct Known Subclasses:
  FieldComparator.ByteComparator, FieldComparator.DoubleComparator, FieldComparator.FloatComparator, FieldComparator.IntComparator, FieldComparator.LongComparator, FieldComparator.ShortComparator

Enclosing class:
  FieldComparator<T>

    public abstract static class FieldComparator.NumericComparator<T extends Number>

extends FieldComparator<T>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.search.FieldComparator
`FieldComparator.ByteComparator, FieldComparator.DocComparator, FieldComparator.DoubleComparator, FieldComparator.FloatComparator, FieldComparator.IntComparator, FieldComparator.LongComparator, FieldComparator.NumericComparator<T extends Number>, FieldComparator.RelevanceComparator, FieldComparator.ShortComparator, FieldComparator.StringComparatorLocale, FieldComparator.StringOrdValComparator, FieldComparator.StringValComparator`

Field Summary
`protected Bits` | `docsWithField`
`protected String` | `field`
`protected T` | `missingValue`

Constructor Summary
`FieldComparator.NumericComparator(String field, T missingValue)`

Method Summary
`void` | `setNextReader(IndexReader reader, int docBase)` Set a new Reader.

Methods inherited from class org.apache.lucene.search.FieldComparator
`binarySearch, binarySearch, compare, compareBottom, compareValues, copy, setBottom, setScorer, value`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### missingValue

    protected final T extends Number missingValue

### field

    protected final String field

### docsWithField

    protected Bits docsWithField

Constructor Detail

### FieldComparator.NumericComparator

    public FieldComparator.NumericComparator(String field,
                                             T missingValue)

Method Detail

### setNextReader

    public void setNextReader(IndexReader reader,
                              int docBase)
                       throws IOException

  Description copied from class: `FieldComparator`
  Set a new Reader. All doc correspond to the current Reader.

  Specified by:
    `setNextReader` in class `FieldComparator<T extends Number>`
  Parameters:
    `reader` - current reader
    `docBase` - docBase of this reader
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD